"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseArgv = exports.testCommandName = exports.requiredParameter = exports.defaultParameter = exports.singleValueParameter = exports.arrayParameter = exports.booleanParameter = exports.requiredParameterName = exports.defaultParameterName = exports.singleValueParameterName = exports.arrayParameterName = exports.booleanParameterName = void 0;
exports.booleanParameterName = 'booleanParameter';
exports.arrayParameterName = 'arrayParameter';
exports.singleValueParameterName = 'singleValueParameter';
exports.defaultParameterName = 'defaultTypeParameter';
exports.requiredParameterName = 'requiredTypeParameter';
exports.booleanParameter = {
    name: exports.booleanParameterName,
    aliases: ['-b', '--boolean-parameter'],
    description: 'A boolean flag',
    type: 'boolean'
};
exports.arrayParameter = {
    name: exports.arrayParameterName,
    aliases: ['-c', '--array-parameter'],
    description: 'A parameter with multiple values',
    type: 'array'
};
exports.singleValueParameter = {
    name: exports.singleValueParameterName,
    aliases: ['-u', '--single-value-parameter'],
    description: 'A parameter with a single string value',
    type: 'single-value'
};
exports.defaultParameter = {
    name: exports.defaultParameterName,
    aliases: ['-d', '--default-type-parameter'],
    description: 'The default type is also a single string value'
};
exports.requiredParameter = {
    name: exports.requiredParameterName,
    aliases: ['-p', '--required-type-parameter'],
    description: 'Required parameter',
    required: true
};
exports.testCommandName = 'test-command';
exports.baseArgv = ['ardrive', exports.testCommandName];
