export declare const WalletFileParameter = "walletFile";
export declare const SeedPhraseParameter = "seedPhrase";
export declare const PrivateParameter = "private";
export declare const UnsafeDrivePasswordParameter = "unsafeDrivePassword";
export declare const DriveNameParameter = "driveName";
export declare const FolderNameParameter = "folderName";
export declare const FileNameParameter = "fileName";
export declare const DriveKeyParameter = "driveKey";
export declare const AddressParameter = "address";
export declare const DriveIdParameter = "driveId";
export declare const ArAmountParameter = "arAmount";
export declare const RewardParameter = "reward";
export declare const LastTxParameter = "lastTx";
export declare const TxFilePathParameter = "txFilePath";
export declare const DestinationAddressParameter = "destAddress";
export declare const TransactionIdParameter = "txId";
export declare const ConfirmationsParameter = "confirmations";
export declare const FolderIdParameter = "folderId";
export declare const FileIdParameter = "fileId";
export declare const ParentFolderIdParameter = "parentFolderId";
export declare const LocalFilePathParameter_DEPRECATED = "localFilePath";
export declare const DestinationFileNameParameter = "destFileName";
export declare const DestinationManifestNameParameter = "destManifestName";
export declare const LocalFilesParameter_DEPRECATED = "localFiles";
export declare const GetAllRevisionsParameter = "getAllRevisions";
export declare const AllParameter = "all";
export declare const MaxDepthParameter = "maxDepth";
export declare const BoostParameter = "boost";
export declare const DryRunParameter = "dryRun";
export declare const SkipParameter = "skip";
export declare const ReplaceParameter = "replace";
export declare const UpsertParameter = "upsert";
export declare const AskParameter = "ask";
export declare const NoVerifyParameter = "verify";
export declare const ShouldBundleParameter = "bundle";
export declare const LocalPathParameter = "localPath";
export declare const LocalPathsParameter = "localPaths";
export declare const LocalCSVParameter = "localCsv";
export declare const WithKeysParameter = "withKeys";
export declare const GatewayParameter = "gateway";
export declare const CustomContentTypeParameter = "contentType";
export declare const RemotePathParameter = "remotePath";
export declare const IPFSParameter = "addIpfsTag";
export declare const DataGqlTagsParameter = "dataGqlTags";
export declare const MetaDataFileParameter = "metadataFile";
export declare const MetaDataGqlTagsParameter = "metadataGqlTags";
export declare const MetadataJsonParameter = "metadataJson";
export declare const CustomMetaDataParameters: string[];
export declare const WalletTypeParameters: string[];
export declare const DriveCreationPrivacyParameters: string[];
export declare const DrivePrivacyParameters: string[];
export declare const TreeDepthParams: string[];
export declare const AllParameters: readonly ["address", "all", "arAmount", "boost", "confirmations", "contentType", "dataGqlTags", "destAddress", "destFileName", "driveKey", "driveName", "driveId", "dryRun", "fileId", "fileName", "folderId", "folderName", "gateway", "getAllRevisions", "lastTx", "localFilePath", "localFiles", "localPath", "localPaths", "maxDepth", "metadataFile", "metadataGqlTags", "metadataJson", "bundle", "verify", "parentFolderId", "private", "reward", "seedPhrase", "txId", "txFilePath", "unsafeDrivePassword", "walletFile", "withKeys", "remotePath", "addIpfsTag"];
export declare type ParameterName = typeof AllParameters[number];
export declare const ConflictResolutionParams: string[];
