"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const CLICommand_1 = require("../CLICommand");
const action_1 = require("../CLICommand/action");
const error_codes_1 = require("../CLICommand/error_codes");
new CLICommand_1.CLICommand({
    name: 'generate-seedphrase',
    parameters: [],
    action: new action_1.CLIAction(function action() {
        return __awaiter(this, void 0, void 0, function* () {
            const seedPhrase = yield __1.cliWalletDao.generateSeedPhrase();
            console.log(JSON.stringify(seedPhrase));
            return error_codes_1.SUCCESS_EXIT_CODE;
        });
    })
});
