#!/usr/bin/env node
import Arweave from 'arweave';
import { ArDrive, ArDriveAnonymous, ArDriveSettings, ArDriveSettingsAnonymous, WalletDAO } from 'ardrive-core-js';
declare const CLI_APP_VERSION: any;
export declare const CLI_APP_NAME = "ArDrive-CLI";
export { CLI_APP_VERSION };
export declare const cliArweave: Arweave;
export declare const cliWalletDao: WalletDAO;
export declare const cliWalletDAOFactory: (arweave?: Arweave) => WalletDAO;
export declare const cliArDriveFactory: ({ appName, appVersion, arweave, walletDao, dryRun, feeMultiple, wallet, arfsDao, communityOracle, priceEstimator, shouldBundle, arFSTagSettings, uploadPlanner }: ArDriveSettings) => ArDrive;
export declare const cliArDriveAnonymousFactory: ({ arweave }: ArDriveSettingsAnonymous) => ArDriveAnonymous;
