import prompts from 'prompts';
import { FileConflictPrompts, FileToFileNameConflictPrompt, FileToFolderConflictAskPrompt, FolderConflictPrompts, FolderToFileConflictAskPrompt, FolderToFolderConflictAskPrompt } from 'ardrive-core-js';
export declare const fileToFileNameConflict: FileToFileNameConflictPrompt;
export declare const fileToFolderNameConflict: FileToFolderConflictAskPrompt;
export declare const folderToFileNameConflict: FolderToFileConflictAskPrompt;
export declare const folderToFolderNameConflict: FolderToFolderConflictAskPrompt;
export declare const fileUploadConflictPrompts: FileConflictPrompts;
export declare const fileAndFolderUploadConflictPrompts: FolderConflictPrompts;
/** Shared utility function to resolve and display new conflicts during rename */
export declare function getNewNameFromRenamePrompt(conflictingName: string, namesWithinFolder: string[], prompt: () => Promise<prompts.Answers<'newName'>>): Promise<string>;
