"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArweaveFromURL = void 0;
const arweave_1 = __importDefault(require("arweave"));
function getArweaveFromURL(url) {
    return arweave_1.default.init({
        host: url.hostname,
        // Remove trailing `:` from protocol on URL type as required by Arweave constructor, e.g `http:` becomes `http`
        protocol: url.protocol.replace(':', ''),
        port: url.port,
        timeout: 600000
    });
}
exports.getArweaveFromURL = getArweaveFromURL;
