declare type CIDHashable = string | Uint8Array | AsyncIterable<Uint8Array>;
/**
 * Generates a v1 IPFS CID hash for the given data
 * @param {CIDHashable} dataInput is the raw data of the file
 */
export declare function deriveIpfsCid(dataInput: CIDHashable): Promise<string>;
export {};
